Crypto++ 8.5 Free C++ class library of cryptographic schemes

List of all members
AlignedSecByteBlock Class Reference

SecBlock using AllocatorWithCleanup<byte, true> typedef. More...

Inheritance diagram for AlignedSecByteBlock:

## Additional Inherited Members
Public Types inherited from SecBlock< byte, AllocatorWithCleanup< byte, true > >
typedef AllocatorWithCleanup< byte, true > ::value_type | value_type
typedef AllocatorWithCleanup< byte, true > ::pointer | iterator
typedef AllocatorWithCleanup< byte, true > ::const_pointer | const_iterator
typedef AllocatorWithCleanup< byte, true > ::size_type | size_type
Public Member Functions inherited from SecBlock< byte, AllocatorWithCleanup< byte, true > >
| SecBlock (size_type size=0)
| Construct a SecBlock with space for size elements. More...
| SecBlock (const SecBlock< byte, AllocatorWithCleanup< byte, true > > &t)
| Copy construct a SecBlock from another SecBlock. More...
| SecBlock (const byte *ptr, size_type len)
| Construct a SecBlock from an array of elements. More...
| operator const void * () const
| Cast operator. More...
| operator void * ()
| Cast operator. More...
| operator const byte * () const
| Cast operator. More...
| operator byte * ()
| Cast operator. More...
iterator | begin ()
| Provides an iterator pointing to the first element in the memory block. More...
const_iterator | begin () const
| Provides a constant iterator pointing to the first element in the memory block. More...
iterator | end ()
| Provides an iterator pointing beyond the last element in the memory block. More...
const_iterator | end () const
| Provides a constant iterator pointing beyond the last element in the memory block. More...
AllocatorWithCleanup< byte, true > ::pointer | data ()
| Provides a pointer to the first element in the memory block. More...
AllocatorWithCleanup< byte, true > ::const_pointer | data () const
| Provides a pointer to the first element in the memory block. More...
size_type | size () const
| Provides the count of elements in the SecBlock. More...
bool | empty () const
| Determines if the SecBlock is empty. More...
byte * | BytePtr ()
| Provides a byte pointer to the first element in the memory block. More...
const byte * | BytePtr () const
| Return a byte pointer to the first element in the memory block. More...
size_type | SizeInBytes () const
| Provides the number of bytes in the SecBlock. More...
void | SetMark (size_t count)
| Sets the number of elements to zeroize. More...
void | Assign (const byte *ptr, size_type len)
| Set contents and size from an array. More...
void | Assign (size_type count, byte value)
| Set contents from a value. More...
void | Assign (const SecBlock< byte, AllocatorWithCleanup< byte, true > > &t)
| Copy contents from another SecBlock. More...
SecBlock< byte, AllocatorWithCleanup< byte, true > > & | operator= (const SecBlock< byte, AllocatorWithCleanup< byte, true > > &t)
| Assign contents from another SecBlock. More...
SecBlock< byte, AllocatorWithCleanup< byte, true > > & | operator+= (const SecBlock< byte, AllocatorWithCleanup< byte, true > > &t)
| Append contents from another SecBlock. More...
SecBlock< byte, AllocatorWithCleanup< byte, true > > | operator+ (const SecBlock< byte, AllocatorWithCleanup< byte, true > > &t)
| Construct a SecBlock from this and another SecBlock. More...
bool | operator== (const SecBlock< byte, AllocatorWithCleanup< byte, true > > &t) const
| Bitwise compare two SecBlocks. More...
bool | operator!= (const SecBlock< byte, AllocatorWithCleanup< byte, true > > &t) const
| Bitwise compare two SecBlocks. More...
void | New (size_type newSize)
| Change size without preserving contents. More...
void | CleanNew (size_type newSize)
| Change size without preserving contents. More...
void | Grow (size_type newSize)
| Change size and preserve contents. More...
void | CleanGrow (size_type newSize)
| Change size and preserve contents. More...
void | resize (size_type newSize)
| Change size and preserve contents. More...
void | swap (SecBlock< byte, AllocatorWithCleanup< byte, true > > &b)
| Swap contents with another SecBlock. More...
Static Public Attributes inherited from SecBlock< byte, AllocatorWithCleanup< byte, true > >
static const size_type | ELEMS_MAX
| Returns the maximum number of elements the block can hold. More...

## Detailed Description

SecBlock using AllocatorWithCleanup<byte, true> typedef.

Definition at line 1119 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h